Subject: [sipcore] Allow-Events mandatory in 489 missing from RFC6665

From: Christer Holmberg <[email-masked]>
Date: Wed, 15 Jul 2015 09:51:18 +0000

Hi,

Once upon a time, we decided to stop using the "header field tables" in our specs, and instead have explicit text regarding header field usage when needed.

In RFC3265, it was stated that Allow-Events is mandatory in 489 response for SUBSCRIBE/NOTIFY:

7.2. New Headers

   This table expands on tables 2 and 3 in SIP [1], as amended by the
   changes described in section 7.1.

   Header field      where proxy ACK BYE CAN INV OPT REG PRA SUB NOT
   -----------------------------------------------------------------
   Allow-Events        R          o   o   -   o   o   o   o   o   o
   Allow-Events       2xx         -   o   -   o   o   o   o   o   o
   Allow-Events       489         -   -   -   -   -   -   -   m   m
   Event               R          -   -   -   -   -   -   -   m   m
   Subscription-State  R          -   -   -   -   -   -   -   -   m

In RFC6665, the above table was removed, but I can find no text saying that Allow-Events is mandatory in 489. There is a "SHOULD include in requests/responses that create a dialog".

This has caused some deployment issues, when 6665 endpoints are communicating with 3265 endpoints.

So, unless there was a decision to not mandate Allow-Events in 489 anymore, and unless I've missed some text which actually does indicate it is mandatory, I think we could make a simple errata, simply adding a "MUST include" statement somewhere.

Regards,

Christer